
package de.ivu.elect.presentation.person.action;

import javax.inject.Inject;
import javax.inject.Named;
import java.util.ArrayList;
import java.util.List;

import de.ivu.elect.business.person.entity.Beruf;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(BerufActionMenu.COMPONENT_NAME)
public class BerufActionMenu extends AbstractActionMenuModelBuilder<Beruf> {

  public static final String COMPONENT_NAME = "berufActionMenu";

  private static final long serialVersionUID = 1L;

  @Inject
  protected BerufEditAction editAction;

  @Inject
  protected BerufDeleteAction deleteAction;

  @Override
  protected List<ActionEntry<Beruf>> getActionEntriesSorted() {
    List<ActionEntry<Beruf>> result = new ArrayList<>();
    result.add(editAction);
    result.add(deleteAction);
    return result;
  }

}
